Subject: [bug#28170] Add gnutls/dane + use it where its needed (gnurl, libmicrohttpd, gnunet)

From: ng0 <[email-masked]>
Date: Sat, 30 Sep 2017 15:01:52 +0000

ng0 transcribed 2.1K bytes:
> Christopher Baines transcribed 1.7K bytes:
> > On Sat, 30 Sep 2017 14:12:55 +0000
> > ng0 <[email-masked]> wrote:
> > 
> > > The fix in this version is to only add the necessary input
> > > to the inherited gnutls.
> > 
> > Ok. One hopefully final thing. From the commit message [1], it's not
> > clear to me if this is fixing an issue with the GNUnet package, by
> > providing it with the right dependencies, or, adding additional
> > functionality to the GNUnet package, by providing a more capable GnuTLS?
> > 
> > 1: "GNUnet and its dependency chain needs GnuTLS with DANE support."
> > 
> It provides the right GnuTLS to GNUnet, libmicrohttpd and gnURL.
> Certain features of these applications will not work without it.
> GnuTLS without Dane is not fatal error for these packages, but
> Dane is recommended.
> I have no idea how I should put this into the very strict dictionary
> we have in commit messages… In more free-form it would be no problem
> for me.
> -- 
> ng0
> GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
> GnuPG: https://krosos.org/dist/keys/
> https://www.infotropique.org https://krosos.org

Okay, I now see what you mean.

To make it short: the correct dependency is provided in place
of the current working-but-not-correct GnuTLS.

Is that more clear?

-- 
ng0
GnuPG: A88C8ADD129828D7EAC02E52E22F9BBFEE348588
GnuPG: https://krosos.org/dist/keys/
https://www.infotropique.org https://krosos.org